class ASuperClass
{
    boolean aVariable;
    void aMethod()
    {
        aVariable = true;
        System.out.println("Inside ASuperClass: The value of aVariable is: " + aVariable);
    }
}

class ASubClass extends ASuperClass
{
    boolean aVariable;
    void aMethod()
    {
        aVariable = false;
        super.aMethod(); // set line 6's variable to true
        System.out.println("Inside ASubClass: The value of aVariable is: " + aVariable);
        System.out.println("Inside ASubClass: The value of super.aVariable is: " + super.aVariable);
    }

    public static void main(String[] args)
    {
       ASuperClass superclass = new ASuperClass();
       ASubClass subclass = new ASubClass();
       superclass.aMethod(); // first line of output
       subclass.aMethod(); // 2nd call to super.aMethod result from this line
    }
}