// Objects are passed by reference. 
class Test { 
  int a, b; // instance variables available on all objects of the Test class 
 
  // A custom constructor with 2 params
  Test(int i, int j) { 
    a = i; 
    b = j; 
  }
  /* Pass an object. Now, ob.a and ob.b in object 
     used in the call will be changed. */ 
  void change(Test ob) { 
    ob.a = ob.a + ob.b; // ob.a = 35 
    ob.b = -ob.b; // ob.b = -20
  } 
} 
 
class CallByRef { 
  public static void main(String args[]) { 
    // call to Test constructor
    Test ob = new Test(15, 20); 
 
    System.out.println("ob.a and ob.b before call: " + 
                       ob.a + " " + ob.b); 
    // method call
    ob.change(ob); 
 
    System.out.println("ob.a and ob.b after call: " + 
                       ob.a + " " + ob.b); 
  } 
}