public class MathUtil
{
    /**
    * This method computes the factorial of a number, the algorithm
    * defined as: factorial(N) = N * (factorial(N-1) if N > 1,
    * if N is 1 or less, the value of the factorial is 1.
    *
    * @param number the number for which to compute the factorial
       *  product.
    * @return returns the factorial of a given number. */
    public static int calculateFactorial(int number)
    {
       // this is the blocking test, this test is used to stop the
       // recursion, without this test, we would have an infinite
       // recursion.
       if (number > 1)
       {
          // we make a recursive call to compute the factorial
          return number * calculateFactorial(number -1);
       }
       else
       {
           return 1;
       }
     }
     public static void main(String[] a)
     {
        calculateFactorial(8);
        System.out.println(number);
     }
}