// Demonstrate method overloading.
class OverloadDemo
{
  // simplest signature declares no parameters
  void test()
  {
    System.out.println("No parameters");
  }

  // Overload test for one integer parameter.
  // the integer a is a formal parameter
  void test(int a)
  {
    System.out.println("a: " + a);
  }

/*test if return value makes signature unique
  int test(int a)
  {
    System.out.println("a: " + a);
    return a;
  }
*/

  // Let's try a boolean
  void test(boolean b)
  {
    System.out.println("b: " + b);
  }

  // Let's try a boolean
  void test(boolean b, int i)
  {
    System.out.println("funky1");
  }

  void test(int i, boolean b)
  {
    System.out.println("funky2");
  }


  // Overload test for two integer parameters.
  void test(int a, int b)
  {
    System.out.println("a and b: " + a + " " + b);
  }

  // overload test for one double parameter
  double test(double a)
  {
    System.out.println("double a: " + a);
    return a*a;
  }
}

class Overload2
{
  public static void main(String args[])
  {
    // create an object that inherits
    // the methods of the OverloadDemo class
    OverloadDemo ob = new OverloadDemo();
    double result;

    // call all versions of test() on the one object
    ob.test(true, 707);
    ob.test(707, true);
    ob.test();
    ob.test(2+2==4);
    ob.test(10);
    ob.test(10, 20);
    result = ob.test(2.1);

    // uncomment next line to break the compiler with String parameter
    // ob.test("Willy Wonka Loves Chocolate Tea");
    System.out.println("Result of ob.test(2.1): " + result);
  }
}