// Pass arguments to the parameterized constructor to
// initialize the dimensions of a box.

class Box {
  double width;
  double height;
  double depth;

  // Constructor with three PARAMETERS that sets dimensions of box
  Box(double w, double h, double d) {
    this.width = w;
    height = h;
    depth = d;
  }


  // Constructor with two PARAMETERS that sets dimensions of box
  Box(double w, double h) {
    this.width = w;
    height = h;
    // return double w * h;
    // return w * h; constructor cannot return any value
  }


  // compute and return volume
  double volume() {
    return width * height * depth;
  }
}

class BoxDemo7 {
  public static void main(String args[]) {
    // declare, allocate memory for,
    // and initialized Box objects
    Box mybox1 = new Box(10, 20, 15); // pass values to the parameters
    Box mybox2 = new Box(3, 6, 9); // pass values to the parameters
    Box mybox2D = new Box(3, 6);

    double vol;

    // get volume of first box
    vol = mybox1.volume();
    System.out.println("Volume is " + vol);

    // get volume of second box
    vol = mybox2.volume();
    System.out.println("Volume is " + vol);
    
    System.out.println("mybox2d.width " + mybox2D.width);
  }
}