// Simple types are passed by value. 
class Test { 
  /* This method causes no change to the arguments 
     used in the call. */ 
  void noChange(int i, int j) { 
    i = i + j; // 15 + 20
    j = -j; // -20
  } 
} 
 
class CallByValue { 
  public static void main(String args[]) { 
    // call to the default constructor
    // the newly created object
    // inherits ALL the members of its class,
    // which in this case is:
    // only one method, noChange
    Test ob = new Test(); 
 
    int a = 15, b = 20; 
 
    System.out.println("a and b before call: " + 
                       a + " " + b); 
 
    // method call
    ob.noChange(a, b);  
 
    System.out.println("a and b after call: " + 
                       a + " " + b); 
      
  } 
}